Need documentation on Grub2

Bug #437446 reported by Connor Imes on 2009-09-27
60
This bug affects 8 people
Affects Status Importance Assigned to Milestone
ubuntu-docs (Ubuntu)
High
Connor Imes
Nominated for Karmic by Connor Imes

Bug Description

Binary package hint: ubuntu-docs

As far as I can tell, we don't have any documentation on Grub2 yet in the Karmic development branch. With the Karmic release, Grub2 will be the default on new installations (upgrades will keep the existing Grub).

Based on string search for "grub" (ignoring case), affected files include but may not be limited to:
   switching/C/dualboot.xml
   serverguide/C/security.xml
   serverguide/C/installation.xml

See https://wiki.ubuntu.com/Grub2
and
https://help.ubuntu.com/community/Grub2

Shane Fagan (shanepatrickfagan) wrote :

I looked into the switching/C/dualboot.xml and I found that its not called menu.lst its called grub.cfg so here is a patch for that.

Connor Imes (ckimes) wrote :

Hi Shane, unfortunately for us I think there is a bit more to it than that. If you have a look at the wiki link above in the "Grub 2 Files & Folders" section, it explicitly says in big bold red letters NOT to edit that file. I think if we are going to do a string freeze fix for Grub2, it should consist of a quick mention that Grub2 comes standard on fresh installs of Karmic, and then provide a link to https://help.ubuntu.com/community/Grub2 in order to minimize translations.

While that page is currently empty and redirects to the team wiki page above, it should be populated with help documentation pulled from the existing wiki page, but geared toward users, not development release testers.

We should definitely add real system documentation for Lucid, though the approach to maintaining Grub and Grub2 documentation side by side is yet to be determined. If you have any suggestions for that, please bring them forward, your feedback would be much appreciated. Cheers.

Connor Imes (ckimes) wrote :

drs305 has taken the time and filled in the community doc page on Grub2 [1] with a ton of fantastic documentation. When we do start writing system documentation on Grub2, it will be an excellent resource. I would suggest providing a link from the system docs to that page as well since it covers a variety of Grub2 topics.

[1] https://help.ubuntu.com/community/Grub2

drs305 (drs305) wrote :

The linked bug report below is listed as a duplicate of the current one:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/474022

It references this page, which is not specifically mentioned in this bug report:
https://help.ubuntu.com/9.10/switching/dualboot-custom.html

I attempted to add the GRUB 2 information but apparently am not authorized as it is not a community doc.

drs305 (drs305) wrote :

I have rewritten https://help.ubuntu.com/9.10/switching/dualboot-custom.html to include Grub 2 procedures for the described examples.

The format for file entries such as "GRUB_DEFAULT=0" mentioned in the text will have to be determined. Additionally, changes were made in a text editor so additional formatting should be checked carefully.

Attached is the revision submitted for your consideration.

Connor Imes (ckimes) wrote :

drs305, thanks for your proposed changes. If I have time to look into converting this into docbook and applying it along with other Grub2 documentation, I will. Until then I will leave the report unassigned in case somebody else wants to tackle this task.

I'm making this a high priority bug - Grub2 is the default bootloader now, and Grub legacy may be upgraded to Grub2 for everybody in Lucid. If that is the case, we need to get this documentation updated.

Changed in ubuntu-docs (Ubuntu):
importance: Undecided → High
status: New → Confirmed
description: updated
Scott Shields (atomicspark) wrote :

For the time being, I would suggest adding a disclaimer that new installs of Ubuntu Server (as of 9.10) default to grub2 (grub-pc) and that it does not (currently) support passwords (yet). It's better then just having a page with invalid commands.

Of course don't just copy/paste what I said, but word it wonderfully.

Joe Pearson (secretcode343) wrote :

Page https://help.ubuntu.com/9.10/serverguide/C/console-security.html is also affected by this and needs the same fix proposed by Scott Shields.

Joe Pearson (secretcode343) wrote :

By the way, it seem that Grub2 1.97~beta4 (the version in 9.10 - currently up to 1.97~beta4-1ubuntu4.1) does support passwords, although not yet MD5-encrypted passwords - see https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/392158

See also http://grub.enbug.org/Authentication

Vikram Dhillon (dhillon-v10) wrote :

I will mark this with docbook, and include the comments from Joe, and Scott. Assigning to me :D

Changed in ubuntu-docs (Ubuntu):
assignee: nobody → Vikram (dhillon-v10)
Gilbert Mendoza (gmendoza) wrote :

There was also a bug report [1] on the console security page of the server guide referencing the GRUB Legacy password protection mechanism.

I submitted patches on that bug report which for karmic and lucid which temporarily removes the section until a sufficient password protection scheme was in place with GRUB 2.

There is a lengthy forum post [2] on working with GRUB password protection, but without the ability to hash passwords as was possible with GRUB legacy, the lightweight security benefits IMO shouldn't be recommended to users just yet.

[1] https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/384148
[2] http://ubuntuforums.org/showthread.php?t=1369019

Connor Imes (ckimes) wrote :

I changed the section in the switching guide to use StartUp-Manager for configuring some boot options, which is compatible with Grub and Grub2. Thank you to those who have posted patches and provided feedback.

I am going to open a separate bug report for the Grub references in the serverguide and will assign the bug to Vikram since he volunteered for this bug. Bug 384148 is tracked separately.

Fix committed to Lucid dev branch, rev 457 and rev 459.

Changed in ubuntu-docs (Ubuntu):
assignee: Vikram Dhillon (dhillon-v10) → Connor Imes (rocket2dmn)
status: Confirmed → Fix Committed
Phill Whiteside (phillw) wrote :

Re posts #5 and #6. That seems to indicate that https://help.ubuntu.com/9.10/switching/dualboot-custom.html has been altered ? It has not, as this post testifies http://ubuntuforums.org/showthread.php?t=1436059

Regards,

Phill.

Connor Imes (ckimes) wrote :

Phill, the updates have not yet made it into Lucid, they are still in our development branch. They will be deployed to Lucid sometime after String Freeze, which is in a few days. Cheers.

I can understand Lucid, but this is a Koala one ?

Regards,

Phill.

On Mon, Mar 22, 2010 at 11:46 PM, Connor Imes <email address hidden> wrote:

> Phill, the updates have not yet made it into Lucid, they are still in
> our development branch. They will be deployed to Lucid sometime after
> String Freeze, which is in a few days. Cheers.
>
> --
> Need documentation on Grub2
> https://bugs.launchpad.net/bugs/437446
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “ubuntu-docs” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: ubuntu-docs
>
> As far as I can tell, we don't have any documentation on Grub2 yet in the
> Karmic development branch. With the Karmic release, Grub2 will be the
> default on new installations (upgrades will keep the existing Grub).
>
> Based on string search for "grub" (ignoring case), affected files include
> but may not be limited to:
> switching/C/dualboot.xml
> serverguide/C/security.xml
> serverguide/C/installation.xml
>
> See https://wiki.ubuntu.com/Grub2
> and
> https://help.ubuntu.com/community/Grub2
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/437446/+subscribe
>

Connor Imes (ckimes) wrote :

This does affect Karmic, which supports both Grub and Grub2. A patch for Karmic would have to be different than the fix in Lucid and would need to meet the Stable Release Update criteria - https://wiki.ubuntu.com/StableReleaseUpdates

We have not had time to consider a SRU for this, and I don't think it is worth it given that Lucid will be release soon. If you would like to provide a minimal patch (for instance, just referencing the Grub2 wiki page), we can do the SRU process.

Phill Whiteside (phillw) wrote :

Hi,

please appreciate that I am really new to this.

e.g. drs305 wrote an update for it, quite a while ago. He passed it on and
it was not posted. As drs305 has written so much for grub2 would it not be
beyond the realms of possibility that it be applied ?

The thread I replied to on the forum was 9.10 based. Grub2 has been out
since then. An updated version of that page has been available since drs305
posted it to "You" I find it kinda odd that "official" documentation that
cannot be edited is being found by new members of Ubuntu and giving them out
of date information some 6 months on. The community documentation, that "We"
can edit has been corrected.

Sorry, I just don't get it. There are people who will update the documents,
they do so, then send them ... and exactly nothing happens.

Regards,

Phill.

On Tue, Mar 23, 2010 at 1:35 AM, Connor Imes <email address hidden> wrote:

> This does affect Karmic, which supports both Grub and Grub2. A patch
> for Karmic would have to be different than the fix in Lucid and would
> need to meet the Stable Release Update criteria -
> https://wiki.ubuntu.com/StableReleaseUpdates
>
> We have not had time to consider a SRU for this, and I don't think it is
> worth it given that Lucid will be release soon. If you would like to
> provide a minimal patch (for instance, just referencing the Grub2 wiki
> page), we can do the SRU process.
>
> --
> Need documentation on Grub2
> https://bugs.launchpad.net/bugs/437446
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “ubuntu-docs” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: ubuntu-docs
>
> As far as I can tell, we don't have any documentation on Grub2 yet in the
> Karmic development branch. With the Karmic release, Grub2 will be the
> default on new installations (upgrades will keep the existing Grub).
>
> Based on string search for "grub" (ignoring case), affected files include
> but may not be limited to:
> switching/C/dualboot.xml
> serverguide/C/security.xml
> serverguide/C/installation.xml
>
> See https://wiki.ubuntu.com/Grub2
> and
> https://help.ubuntu.com/community/Grub2
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/437446/+subscribe
>

Phill Whiteside (phillw) wrote :

I am assuming this is the same Connor Ives as the person at post #3 in October 2009 ?

Connor Imes (ckimes) wrote :

Phil,

Yes, I am the same person. I've worked closely with drs305 in the past and know that he has done a great deal of work on documenting Grub2 (he basically wrote the wiki page himself [1]). Official documentation [2] is written using Docbook XML - what you see on the web is an HTML export from the docbook source, and is not a wiki. The patch that drs305 posted is not in Docbook format and would need to be converted if it were to be applied. The changes I committed to the Lucid branch explain how to use a graphical program for modifying the settings in question, which is preferable (where possible) to having a user edit configuration files.

As I mentioned in my previous comment, if you would like to help us provide a minimal patch for Karmic, we can do the SRU process (pending approval from the SRU team). We value any contributions from the community, and are happy to review patches that users submit.

Please understand that we have limited resources and are volunteering our time here just like you are. We do our best to stay on top of the workload.

I hope that helps address your concerns and clarify things for you. Cheers.

[1] https://help.ubuntu.com/community/Grub2
[2] https://wiki.ubuntu.com/DocumentationTeam/SystemDocumentation

Vikram Dhillon (dhillon-v10) wrote :

On Tue, Mar 23, 2010 at 11:40:40PM -0000, Connor Imes wrote:
> --
> Need documentation on Grub2
> https://bugs.launchpad.net/bugs/437446
> You received this bug notification because you are subscribed to ubuntu-
> docs in ubuntu.
>
> Status in “ubuntu-docs” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: ubuntu-docs
>
> As far as I can tell, we don't have any documentation on Grub2 yet in the Karmic development branch. With the Karmic release, Grub2 will be the default on new installations (upgrades will keep the existing Grub).
>
> Based on string search for "grub" (ignoring case), affected files include but may not be limited to:
>    switching/C/dualboot.xml
>    serverguide/C/security.xml
>    serverguide/C/installation.xml
>
> See https://wiki.ubuntu.com/Grub2
> and
> https://help.ubuntu.com/community/Grub2

Thanks for unassigning me from the bug, sorry I haven't had enough time to get it done in time plus as it may have been mentioned before there's already a good wiki page present, we can just take that format it in docbook and push it in the branch :)

--
Regards,
Vikram Dhillon

There is poetry and there is beauty in real sympathy; but there is more — there is action. The noblest and most powerful form of sympathy is not merely the responsive tear, the echoed sigh, the answering look; it is the embodiment of the sentiment in actual help.

Phill Whiteside (phillw) wrote :

Hi,

I'd be delighted to help, however I'm not very familiar with wiki page
writing so would need a "How To" in order to convert drs305's excellent
community document into Docbook format. I also am in regular contact with
drs305 for matters grub.

I guess the 1st place would be what programme you recommend that I use. HTML
Tidy is one suggestion I've pulled off the web. I already code to XHTML,
Strict, so am familiar with the closing of tags etc.

Assuming I can get the Grub one into the correct format, I'd then be happy
to convert any others over that are languishing on the "To Do" list.

Regards,

Phill.

On Tue, Mar 23, 2010 at 11:40 PM, Connor Imes <email address hidden> wrote:

> Phil,
>
> Yes, I am the same person. I've worked closely with drs305 in the past
> and know that he has done a great deal of work on documenting Grub2 (he
> basically wrote the wiki page himself [1]). Official documentation [2]
> is written using Docbook XML - what you see on the web is an HTML export
> from the docbook source, and is not a wiki. The patch that drs305
> posted is not in Docbook format and would need to be converted if it
> were to be applied. The changes I committed to the Lucid branch explain
> how to use a graphical program for modifying the settings in question,
> which is preferable (where possible) to having a user edit configuration
> files.
>
> As I mentioned in my previous comment, if you would like to help us
> provide a minimal patch for Karmic, we can do the SRU process (pending
> approval from the SRU team). We value any contributions from the
> community, and are happy to review patches that users submit.
>
> Please understand that we have limited resources and are volunteering
> our time here just like you are. We do our best to stay on top of the
> workload.
>
> I hope that helps address your concerns and clarify things for you.
> Cheers.
>
> [1] https://help.ubuntu.com/community/Grub2
> [2] https://wiki.ubuntu.com/DocumentationTeam/SystemDocumentation
>
> --
> Need documentation on Grub2
> https://bugs.launchpad.net/bugs/437446
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “ubuntu-docs” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: ubuntu-docs
>
> As far as I can tell, we don't have any documentation on Grub2 yet in the
> Karmic development branch. With the Karmic release, Grub2 will be the
> default on new installations (upgrades will keep the existing Grub).
>
> Based on string search for "grub" (ignoring case), affected files include
> but may not be limited to:
> switching/C/dualboot.xml
> serverguide/C/security.xml
> serverguide/C/installation.xml
>
> See https://wiki.ubuntu.com/Grub2
> and
> https://help.ubuntu.com/community/Grub2
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/437446/+subscribe
>

Phill Whiteside (phillw) wrote :

I reckon I can follow
http://www.ibm.com/developerworks/library/x-tiptidy.html If that is
something like what is required ?

Phill.

Connor Imes (ckimes) wrote :

Phill, we don't usually copy/paste material from the community docs to the system docs - it is easy enough to provide a link to the community docs when appropriate. I provided a link to getting started with system documentation in comment #19. You don't need to convert from some other XHTML schema to docbook XML, it's generally easier to just write it in docbook from the start.

I normally just use gedit for writing documentation, but there are more convenient tools for working with XML, like Geany which will auto-close tags for you. We don't have any standard tool to use, so you can use your favorite editor. If you would like further help in getting started, I'd be happy to help you on the team mailing list [1], as this bug report is not the appropriate place for this discussion. I look forward to hearing from you.

[1] https://lists.ubuntu.com/mailman/listinfo/ubuntu-doc

Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package ubuntu-docs - 10.04.2

---------------
ubuntu-docs (10.04.2) lucid; urgency=low

  * General:
    - Fixes to scripts/fix-url.sh (including LP: #482862)
    - Fix character encoding in contributors.xml (LP: #448618)
    - Updated version in browser-startpage html files, LP: #526320
    - Refresh pot files
  * Add-applications:
    - Updates for UI changes, Phil Bull
  * Config-desktop:
    - Added topic on changing window buttons from the left, Phil Bull
  * Hardware:
    - Added mention of gsynaptics, Connor Imes, LP: #450567
  * Internet:
    - Refresh list of plugins supplied by ubuntu-restricted-extras, branch
      from Nathan Murray, LP: #504981
    - Updates to reflect that Ekiga no longer installed by default, Connor Imes,
      LP: #508572
    - Grammar fix from Alex Wardle, LP: #517776
    - Order adjustment for shares-admin usage, Alex Wardle, LP: #518119
    - Button name change for shares-admin app, Alex Wardle, LP: #518170
    - Use unlock icon in networking section, Alex Wardle, LP: #518117
    - Updated directions on changing text size and page zooming in firefox,
      Alison Rowland, LP: #512556
    - Fixed guilabel usage in modem section. Alex Wardle, LP: #521243
    - Updated button and tab names in Static Connections section,
      Alex Wardle, LP: #521508
    - Typo fix in adsl section. Alex Wardle, LP: #525349
    - Removed unused and empty basics.xml, LP: #525431
    - Minor wording update to directions for sharing folders via nautilus,
      Connor Imes, LP: #518175
    - Use 'NetworkManager' not 'Network Manager' for consistency, Connor Imes
      LP: #518107
    - Update to troubleshooting mobile devices, Connor Imes, LP: #453459
    - Adjusted description of NetworkManager applet icons, Connor Imes
      LP: #440826
    - Additions to VPN section of connecting guide, Alex Wardle, LP: #452647
    - Expanded on using config files for vpn connections, Connor Imes
    - Command line substitution for Services utility which is not in Karmic or
      Lucid, Connor Imes, LP: #518460
    - Structural and language changes + updates for UI changes, Phil Bull
  * Musicvideophotos:
    - Added section for recording and editing video, Book 'em Dano, LP: #367569
  * Newtoubuntu:
    - Complete rewrite, Matthew East
  * Printing:
    - Simple Scan replaced xsane for scanning documents, Alex Wardle, LP: #546193
  * Serverguide:
    - Rename link to serverguide in advanced-topics.xml, Gilbert
      Mendoza, LP: #505708
    - Use distro-short-codename variable for vmbuilder documentation in
      serverguide rather than static version example, Connor Imes,. LP: #509653
    - Small fixes to security chapter, Connor Imes, LP: #510703
    - Small fixes from Nathan Handler, LP: #507624
    - Configuration change for OpenLDAP, Connor Imes, LP: #511090
    - Refresh of network-config section, Gilbert Mendoza, LP: #506800
    - Update manpage links to use distro-short-codename, Connor Imes
    - Changed OpenLDAP replication to use single Provider/Consumer configuration,
      Adam Sommer
    - Removed grub-password-security section - it does not apply to Grub2,
      Gilbert Mendoza, LP: #384148
    - Refere...

Read more...

Changed in ubuntu-docs (Ubuntu):
status: Fix Committed → Fix Released
Connor Imes (ckimes) wrote :

Matthew, do you think it would be appropriate to do a SRU for Karmic to provide a link to the Grub2 community doc page so those using Grub2 can get directions where needed?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers